package cli

import (
	"fmt"

	"github.com/spf13/cobra"
)

const version string = "v0.1"

var versionCmd = &cobra.Command{
	Use:   "version",
	Short: "Print the version number of gosocketio",
	Long:  `Print the version number of gosocketio`,
	Run: func(cmd *cobra.Command, args []string) {
		fmt.Printf("Socket io server version %s \n", version)
	},
}

func init() {
	rootCmd.AddCommand(versionCmd)
}
